Subject: bug#66716: closed (Re: bug#66716: Reconcile display-fill-column-indicator-character behavior and customization description)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 25 Oct 2023 03:13:02 +0000

Your bug report

#66716: Reconcile display-fill-column-indicator-character behavior and customization description

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66716: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66716
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#66716: Reconcile display-fill-column-indicator-character behavior and customization description
From: Joseph Turner <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Tue, 24 Oct 2023 20:11:53 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Joseph Turner <[email-masked]>
>> Cc: [email-masked]
>> Date: Tue, 24 Oct 2023 12:46:11 -0700
>>
>> >> What do folks think about changing the behavior of
>> >> display-fill-column-indicator-character to match this description?
>> >
>> > I don't understand the proposal.  We don't use U+2502 by default
>> > because not all terminals support it.
>>
>> When enabling display-fill-column-indicator in .dir-locals.el, is it
>> possible to dynamically set display-fill-column-indicator-character
>> according to what characters are displayable without using eval?
>
> I don't think so.

Thank you!!

Subject: Reconcile display-fill-column-indicator-character behavior and customization description
From: Joseph Turner <[email-masked]>
To: [email-masked]
Date: Mon, 23 Oct 2023 14:23:06 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: patch

Tags: patch

Tags: patch

AFAICT, setting display-fill-column-indicator-character to nil means
that no fill indicator is displayed. This patch changes the
customization description to match the current behavior.

However, I like the behavior that's currently described in the
customization option:

"If possible, use U+2502 to indicate fill column, otherwise use |"

What do folks think about changing the behavior of
display-fill-column-indicator-character to match this description?

Thank you!!

Joseph

>From 846252d0c3912623ba2d8ff9832e00dfa00fc091 Mon Sep 17 00:00:00 2001
From: Joseph Turner <[email-masked]>
Date: Mon, 23 Oct 2023 14:20:09 -0700
Subject: [PATCH] Fix customization description:
 display-fill-column-indicator-character

* lisp/cus-start.el (standard): Change the description of the nil
value to its current behavior: to not display a fill indicator.
---
 lisp/cus-start.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/cus-start.el b/lisp/cus-start.el
index 054683d7cf6..2fc5d3d727c 100644
--- a/lisp/cus-start.el
+++ b/lisp/cus-start.el
@@ -806,7 +806,7 @@ since it could result in memory overflow and make Emacs crash."
                       :value ?│)
                (character :tag "Use | to indicate fill column"
                       :value ?|)
-               (const :tag "If possible, use U+2502 to indicate fill column, otherwise use |"
+               (const :tag "Do not indicate fill column"
                       :value nil)
                character)
               "27.1"
-- 
2.41.0